# Bulk Email Progress / Status

## Get Bulk Email Progress Status

<mark style="color:blue;">`GET`</mark> `https://api.saino.io/api/apis/email-cleaning/bulk-progress`

This endpoint allows you to get progress of bulk email cleaning progress.

#### Query Parameters

| Name     | Type    | Description                                                           |
| -------- | ------- | --------------------------------------------------------------------- |
| bulk\_id | integer | Bulk process id which you got from bullk email cleaning api response. |

#### Headers

| Name  | Type   | Description                              |
| ----- | ------ | ---------------------------------------- |
| token | string | The token provided by saino application. |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": {
        "bulk_id": 1002,
        "status": "completed",
        "percentage": 100,
        "download_link": "https://sfeclean.s3.ap-south-1.amazonaws.com/email-cleaner/report/final_verified_8961ea-2017-421a-a919-a1b2183ad86f_test1.csv.csv"
    },
    "status": "success"
}
```

{% endtab %}

{% tab title="400 " %}

```
{
     status: "failed",
     error: '' //errors
}
```

{% endtab %}
{% endtabs %}

#### Examples

{% tabs %}
{% tab title="NodeJs" %}

```
var request = require('request');
var options = {
  'method': 'GET',
  'url': 'https://api.saino.io/api/apis/email-cleaning/bulk-progress?bulk_id=95',
  'headers': {
    'token': '7yq7x1hlydj8hyxccf61al5411m==/twidh969f9584683074',
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endtab %}

{% tab title="PHP" %}

```
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('https://api.saino.io/api/apis/email-cleaning/bulk-progress?bulk_id=95');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'token' => '7yq7x1hlydj8hyxccfjomc61al5411m==/twid21609584683074'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

{% endtab %}

{% tab title="JQUERY" %}

```
var settings = {
  "url": "https://api.saino.io/api/apis/email-cleaning/bulk-progress?bulk_id=95",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "token": "7yq7x1hlydj8hyxccfjo130mc61al5411m==/twi46e8v584683074",
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

{% endtab %}

{% tab title="Python" %}

```
import requests

url = "https://api.saino.io/api/apis/email-cleaning/bulk-progress?bulk_id=95"

payload={}
headers = {
  'token': '7yq7x1hlydj8hyxccfjordmc61al8v121609584683074',
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.saino.io/email-cleaner/bulk-email-progress-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
